#ifndef __FAT16_H__
#define __FAT16_H__

/* Global sector buffer, data for read/write actions is stored here
 *
 * Any operation (init, open, seek and read) will clobber it. If you
 * modify this buffer content, you _MUST_ either follow with a
 * fat_file_write or a fat_inval_cache _BEFORE_ any other open, read
 * or seek operation
 */
extern unsigned char secbuf[512];

/* Initialize, find first partition */
unsigned char fat_init(void);

/* Open a file by name, one open file at a time, replace the previous one */
long fat_open(const unsigned char *name);

/* Seek into file WARNING: Can clobber secbuf ! */
unsigned char fat_file_seek(unsigned long sector);
unsigned char fat_file_next_sector(void);

/* Read and write current file sector */
unsigned char fat_file_read(void);
unsigned char fat_file_write(void);

/* Invalidate sector cache */
void fat_inval_cache(void);

#endif /* __FAT16_H__ */
